import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * This class defines a crab. Crabs live on the beach.
 * Crabs turn more often than lobsters, and must avoid them.
 * Crabs eat worms.
 * Version 3.5, by Jordan.
 */
public class Crab extends Animal
{ 
        
/**
 * Check whether we have stumbled upon a worm.
 * If we have, eat it. If not, do nothing.
 */
public void lookForWorm()
{
    if ( canSee(Worm.class) )
    {
        eat(Worm.class);
    }
}
public void act()
{
    checkKeypress();
    move();
    lookForWorm();
}
/**
 * turnAtEdge() is no longer used. You can use it, though, if you want to.
 */
public void turnAtEdge()
{
    if ( atWorldEdge() )
    {
        turn(5);
    }
}
/**
 * randomTurn() is no longer used. If you want to, though, you can.
 */
public void randomTurn()
{
    if ( Greenfoot.getRandomNumber(100) < 10 )
    {
        turn( Greenfoot.getRandomNumber(91)-45);
    }
}
public void checkKeypress()
    {
        if (Greenfoot.isKeyDown("a"))
        {
            turn(-4);
        }
        if (Greenfoot.isKeyDown("d"))
        {
            turn(4);
        }
    }
}
